import faiss
import os

def save_faiss_index(index, path: str):
    if index:
        faiss.write_index(index, path)

def load_faiss_index(path: str):
    if os.path.exists(path):
        return faiss.read_index(path)
    return None
